Skip to main content
GET
/
v6
/
templates
/
chartOfAccounts
Get chart of accounts templates
curl --request GET \
  --url https://sandbox.tight.com/v6/templates/chartOfAccounts \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "coa_123456",
      "name": "Standard Business Accounts",
      "businessTypeId": "bt_789012",
      "accounts": [
        {
          "id": "tgl_324231",
          "accountNo": "11500",
          "name": "Accounts Receivable",
          "level": 3,
          "type": "ASSET",
          "assetType": "AR",
          "liabilityType": "AP",
          "equityType": "CAPITAL",
          "incomeType": "SERVICE_INCOME",
          "expenseType": "MERCHANT_FEE",
          "children": "<array>",
          "customData": {
            "internal_key": "some_internal_key",
            "some_other_field": 23434
          }
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Query Parameters

cursor
string | null
required

Cursor from the previous paginated response

limit
integer<int32>
required

Page size, i.e. number of items to return per page

Required range: x <= 25

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.